Loading...
Searching...
No Matches
BALL::GridAnalysis Class Reference

`#include <BALL/DOCKING/COMMON/gridAnalysis.h>`

## Public Member Functions

| GridAnalysis (ScoringFunction *sf, AtomContainer *probe_group)
void | setResolution (const double &resolution)
void | enableSavingBestPoses (Size number_best_poses)
RegularData3D * | calculate ()
std::list< AtomContainer * > | getBestPoses ()

## Protected Types

typedef std::multimap< double, std::pair< Vector3, Vector3 > > | PoseList

## Protected Member Functions

void | moveProbeGroup_ (const Vector3 &destination)
void | rotateProbeGroup_ (int axis, int degree)

## Protected Attributes

ScoringFunction * | scoring_function_
AtomContainer | probe_group_
double | resolution_
Vector3 | origin_
Vector3 | center_
Size | no_best_poses_
PoseList | best_poses_
Size | border_

## Detailed Description

Definition at line 20 of file gridAnalysis.h.

## Member Typedef Documentation

## PoseList

typedef std::multimap<double, std::pair<Vector3, Vector3> > BALL::GridAnalysis::PoseList

protected

Definition at line 34 of file gridAnalysis.h.

## Constructor & Destructor Documentation

## GridAnalysis()

BALL::GridAnalysis::GridAnalysis | ( | ScoringFunction * | sf,
|  | AtomContainer * | probe_group )

## Member Function Documentation

## calculate()

RegularData3D * BALL::GridAnalysis::calculate | ( |  | ) |

## enableSavingBestPoses()

void BALL::GridAnalysis::enableSavingBestPoses | ( | Size | number_best_poses | ) |

## getBestPoses()

std::list< AtomContainer * > BALL::GridAnalysis::getBestPoses | ( |  | ) |

## moveProbeGroup_()

void BALL::GridAnalysis::moveProbeGroup_ | ( | const Vector3 & | destination | ) |

protected

Translate probe_group_ to the given destination.

## rotateProbeGroup_()

void BALL::GridAnalysis::rotateProbeGroup_ | ( | int | axis,
|  | int | degree )

protected

Rotates probe_group_ around a specified axis.

Parameters

  axis | 0 == rotation around X axis, 1 == rotation around Y axis, 2 == rotation around Z axis

## setResolution()

void BALL::GridAnalysis::setResolution | ( | const double & | resolution | ) |

## Member Data Documentation

## best_poses_

PoseList BALL::GridAnalysis::best_poses_

protected

contains pairs of < score, < position, rotation > > .

Definition at line 57 of file gridAnalysis.h.

## border_

Size BALL::GridAnalysis::border_

protected

Definition at line 59 of file gridAnalysis.h.

## center_

Vector3 BALL::GridAnalysis::center_

protected

the current geometrical center of the probe group

Definition at line 52 of file gridAnalysis.h.

## no_best_poses_

Size BALL::GridAnalysis::no_best_poses_

protected

Definition at line 54 of file gridAnalysis.h.

## origin_

Vector3 BALL::GridAnalysis::origin_

protected

Definition at line 49 of file gridAnalysis.h.

## probe_group_

AtomContainer BALL::GridAnalysis::probe_group_

protected

Definition at line 45 of file gridAnalysis.h.

## resolution_

double BALL::GridAnalysis::resolution_

protected

Definition at line 47 of file gridAnalysis.h.

## scoring_function_

ScoringFunction* BALL::GridAnalysis::scoring_function_

protected

Definition at line 43 of file gridAnalysis.h.